class ResourceNotFound < JSONError.base
  key :resource_not_found
  status 404

  translated_properties :message, :description, :href
  custom_properties :details
end

class MissingTranslations < JSONError.base
  key :missing_translations
  status 404

  translated_properties :message, :description, :href
  custom_properties :details
  visible_properties(*default_properties, :message, :details)
end

class ChildError < MissingTranslations
  key :child_error
  translated_properties :additional_translated
  custom_properties :additional_custom
end

class WithKeyAlias < JSONError.base
  key :with_key_alias, as: :error_code
  status 400
end

class WithKeyAliasChild < WithKeyAlias
  key :with_key_alias_child
  status '429'
end
