require 'spec_helper'

describe JSONError::Base do
  describe '.superclass' do
    subject { described_class.superclass }
    it { is_expected.to be(StandardError) }
  end

  describe '.new' do
    let(:no_option_error) { KeyError }
    subject { -> (options) { described_class.new(options) } }

    it 'requires :property option' do
      expect { subject.call({}) }.to raise_error(no_option_error)
    end

    it 'requires :class option' do
      expect { subject.call(property: :p) }.to raise_error(no_option_error)
    end
  end
end
